The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]



"Выпуск пакетного менеджера Apt 1.9"
Вариант для распечатки  
Пред. тема | След. тема 
Форум Разговоры, обсуждение новостей
Изначальное сообщение [ Отслеживать ]

"Выпуск пакетного менеджера Apt 1.9"  +/
Сообщение от opennews (ok), 19-Июн-19, 01:30 
Подготовлен (https://github.com/Debian/apt/releases/tag/1.9.0) релиз инструментария для управления пакетами Apt 1.9 (https://wiki.debian.org/Apt) (Advanced Package Tool), развиваемого проектом Debian. Кроме Debian и производных от него дистрибутивов Apt также применяется в некоторых дистрибутивах на основе пакетного менеджера rpm, таких как PCLinuxOS и ALT Linux. Новый выпуск в ближайшее время будет интегрирован (https://packages.debian.org/source/sid/apt) в ветку Debian Unstable и в пакетную базу Ubuntu 19.10 (https://launchpad.net/ubuntu/eoan/+source/apt).


Из изменений (https://launchpad.net/ubuntu/+source/apt/+changelog) можно отметить:


-  Добавлены команды "apt satisfy" и "apt-get satisfy", позволяющие установить пакеты, требуемые для удовлетворения зависимостей, указанных в строке, переданной в качестве аргумента.  В том числе можно перечислять несколько строк и указывать  блоки "Conflicts:" для исключения зависимостей. Например, 'apt-get satisfy "foo" "Conflicts: bar" "baz (>> 1.0) | bar (= 2.0), moo"';

-  Добавлены команды merge-translations и bump-abi;

-  Требование к версии стандарта C++ поднято до C++14;

-  В  apt-helper добавлена поддержка указания нескольких хэшей для одного файла;

-  Осуществлено слияние библиотеки  libapt-inst с libapt-pkg;

-  Внесены изменения в ABI, версия libapt-pkg.so повышена до 5.90;
-  Проведена чистка от устаревших флагов и осуществлено слияние различных прототипов функций.

URL: https://github.com/Debian/apt/releases/tag/1.9.0
Новость: https://www.opennet.ru/opennews/art.shtml?num=50898

Ответить | Правка | Cообщить модератору

Оглавление

Сообщения [Сортировка по времени | RSS]


1. "Выпуск пакетного менеджера Apt 1.9"  +5 +/
Сообщение от Константавр (ok), 19-Июн-19, 01:30 
>"apt satisfy" и "apt-get satisfy"

Не могу придумать применения, кроме как испортить всё. Кто умный, подскажите, как использовать это во благо?

Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

2. "Выпуск пакетного менеджера Apt 1.9"  +/
Сообщение от Аноним (2), 19-Июн-19, 03:17 
сторонние пакетные менеджеры, взаимодействующие с apt?
Ответить | Правка | ^ к родителю #1 | Наверх | Cообщить модератору

3. "Выпуск пакетного менеджера Apt 1.9"  +1 +/
Сообщение от Ordu (ok), 19-Июн-19, 03:27 
Да ладно! Тебе не приходилось ставить программу собирая её? Ты берёшь сорцы, начинаешь компилять, а оно тебе "не хватает такой библиотеки, такой, такой и такой". А тут -- хоп, -- и все зависимости к пакету стоят. Правда это при условии, что программа сия есть в репах. Если конечно я правильно понял, о чём идёт речь.

В emerge есть такая фишка, и да, я её использую эпизодически. Ну, то есть, как правило всё же я ставлю программу из портажей, убеждаюсь что она работает, и только после этого начинаю ковыряться в сорцах её и перекомпилировать. Но иногда этот шаг с проверкой не нужен, и иногда у меня бывает зелёное настроение и я начинаю думать о количестве киловатт-часов потраченных впустую.

Ответить | Правка | ^ к родителю #1 | Наверх | Cообщить модератору

5. "Выпуск пакетного менеджера Apt 1.9"  +2 +/
Сообщение от Аноним (5), 19-Июн-19, 03:56 
>> Да ладно! Тебе не приходилось ставить программу собирая её? Ты берёшь сорцы, начинаешь компилять, а оно тебе "не хватает такой библиотеки, такой, такой и такой". А тут -- хоп, -- и все зависимости к пакету стоят. Правда это при условии, что программа сия есть в репах. Если конечно я правильно понял, о чём идёт речь.

apt build-dep не?

Ответить | Правка | ^ к родителю #3 | Наверх | Cообщить модератору

6. "Выпуск пакетного менеджера Apt 1.9"  –2 +/
Сообщение от Ordu (ok), 19-Июн-19, 04:14 
>>> Да ладно! Тебе не приходилось ставить программу собирая её? Ты берёшь сорцы, начинаешь компилять, а оно тебе "не хватает такой библиотеки, такой, такой и такой". А тут -- хоп, -- и все зависимости к пакету стоят. Правда это при условии, что программа сия есть в репах. Если конечно я правильно понял, о чём идёт речь.
> apt build-dep не?

Не знаю, я аптом пользуюсь крайне эпизодически, я его не знаю и не могу сказать зачем нужно было добавлять satisfy если есть build-dep. Это кого-нибудь ещё надо спросить, не меня.

Ответить | Правка | ^ к родителю #5 | Наверх | Cообщить модератору

13. "Выпуск пакетного менеджера Apt 1.9"  +10 +/
Сообщение от Ретроград (?), 19-Июн-19, 09:17 
Build-dep ставит зависимости времени сборки. Satisfy - времени исполнения. Эти множества, строго говоря, не обязаны совпадать и даже пересекаться.
Ответить | Правка | ^ к родителю #6 | Наверх | Cообщить модератору

10. "Выпуск пакетного менеджера Apt 1.9"  –5 +/
Сообщение от Аноним (10), 19-Июн-19, 07:49 
Я так понимаю, они наконец осилили условия "больше"-"меньше" для версий, и что бы не ломать совместимость, ввели новую команду.
Ответить | Правка | ^ к родителю #1 | Наверх | Cообщить модератору

20. "Выпуск пакетного менеджера Apt 1.9"  +4 +/
Сообщение от Аноним (20), 19-Июн-19, 10:22 
Этим условиям сто лет в обед.
Ответить | Правка | ^ к родителю #10 | Наверх | Cообщить модератору

15. "Выпуск пакетного менеджера Apt 1.9"  +/
Сообщение от Аноним (15), 19-Июн-19, 09:29 
> Кто умный, подскажите, как использовать это во благо?

Единственное, что приходит в голову: майнтейнеру при отладке в виртуалочке накатить зависимости собираемого пакета и убедиться, что всё работает.

Ответить | Правка | ^ к родителю #1 | Наверх | Cообщить модератору

31. "Выпуск пакетного менеджера Apt 1.9"  +/
Сообщение от Алексей (??), 20-Июн-19, 14:11 
отличие от build-dep в том, что не обязательно писать полновесный debian/{control,changelog} и прочую требуху, где полезной информации только Build-Depends: и Conflicts:, а можно просто сказать apt satisfy 'nginx|httpd, Conflicts: apache2', например.
Ответить | Правка | ^ к родителю #1 | Наверх | Cообщить модератору

4. "Выпуск пакетного менеджера Apt 1.9"  –1 +/
Сообщение от Аноним (4), 19-Июн-19, 03:51 
да уж, чейнджлог воистину впечатляющий...
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

7. "Выпуск пакетного менеджера Apt 1.9"  +1 +/
Сообщение от Аноним (7), 19-Июн-19, 04:38 
не встроили сапёра и косынку? печалька!
Ответить | Правка | ^ к родителю #4 | Наверх | Cообщить модератору

8. "Выпуск пакетного менеджера Apt 1.9"  –1 +/
Сообщение от ыы (?), 19-Июн-19, 06:15 
а интеграция с systemd?
Ответить | Правка | ^ к родителю #7 | Наверх | Cообщить модератору

9. "Выпуск пакетного менеджера Apt 1.9"  +/
Сообщение от Аноним (9), 19-Июн-19, 06:35 
Ловите анабиозника!
Ответить | Правка | ^ к родителю #8 | Наверх | Cообщить модератору

32. "Выпуск пакетного менеджера Apt 1.9"  +/
Сообщение от morggoth (?), 20-Июн-19, 15:34 
какая именно?
Ответить | Правка | ^ к родителю #8 | Наверх | Cообщить модератору

17. "Выпуск пакетного менеджера Apt 1.9"  +1 +/
Сообщение от anonymous (??), 19-Июн-19, 09:50 
Сапер уже есть в aptitude
Ответить | Правка | ^ к родителю #7 | Наверх | Cообщить модератору

12. "Выпуск пакетного менеджера Apt 1.9"  +/
Сообщение от Аноним (12), 19-Июн-19, 09:00 
Что лучше использовать apt или apt-get? И в чем разница?
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

14. "Выпуск пакетного менеджера Apt 1.9"  +1 +/
Сообщение от mumu (ok), 19-Июн-19, 09:17 
apt. apt-get уже давно не рекомендуется и оставлен для совместимости
Ответить | Правка | ^ к родителю #12 | Наверх | Cообщить модератору

18. "Выпуск пакетного менеджера Apt 1.9"  +/
Сообщение от Аноним (18), 19-Июн-19, 09:54 
Спасибо
Ответить | Правка | ^ к родителю #14 | Наверх | Cообщить модератору

24. "Выпуск пакетного менеджера Apt 1.9"  –1 +/
Сообщение от Аноним (24), 19-Июн-19, 18:36 
Пха-ха-ха, да его выхлоп даже нормально ни через pipe прогнать, ни про-grep'ать
Ответить | Правка | ^ к родителю #14 | Наверх | Cообщить модератору

26. "Выпуск пакетного менеджера Apt 1.9"  +/
Сообщение от Аноним (26), 19-Июн-19, 19:34 
Как и apt-get. Они не для грепанья, о чем и предупреждают.
Ответить | Правка | ^ к родителю #24 | Наверх | Cообщить модератору

29. "Выпуск пакетного менеджера Apt 1.9"  +/
Сообщение от Аноним (15), 20-Июн-19, 09:57 
Для грепания есть APT::Status-Fd.
Ответить | Правка | ^ к родителю #26 | Наверх | Cообщить модератору

33. "Выпуск пакетного менеджера Apt 1.9"  +/
Сообщение от А. (?), 21-Июн-19, 14:04 
Apt search и глазами хуже читается.
Ответить | Правка | ^ к родителю #26 | Наверх | Cообщить модератору

30. "Выпуск пакетного менеджера Apt 1.9"  +/
Сообщение от Аноним (30), 20-Июн-19, 13:50 
С Альтом.
Ответить | Правка | ^ к родителю #14 | Наверх | Cообщить модератору

16. "Выпуск пакетного менеджера Apt 1.9"  +/
Сообщение от Аноним (15), 19-Июн-19, 09:32 
> Что лучше использовать apt или apt-get?

В интерактивной сессии — apt, в скриптах — apt-get.

Ответить | Правка | ^ к родителю #12 | Наверх | Cообщить модератору

19. "Выпуск пакетного менеджера Apt 1.9"  +/
Сообщение от Аноним (18), 19-Июн-19, 09:54 
Буду знать
Ответить | Правка | ^ к родителю #16 | Наверх | Cообщить модератору

23. "Выпуск пакетного менеджера Apt 1.9"  +/
Сообщение от grsec (ok), 19-Июн-19, 16:46 
apt apt-get aptitude .. вот у них там прет то.
Ответить | Правка | ^ к родителю #19 | Наверх | Cообщить модератору

27. "Выпуск пакетного менеджера Apt 1.9"  +1 +/
Сообщение от macfaq (?), 19-Июн-19, 20:41 
dselect и cupt забыл.
Ответить | Правка | ^ к родителю #23 | Наверх | Cообщить модератору

21. "Выпуск пакетного менеджера Apt 1.9"  +2 +/
Сообщение от Андрей (??), 19-Июн-19, 12:20 
пожелаем такого же движения в ROSA Linux)
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

22. "Выпуск пакетного менеджера Apt 1.9"  +1 +/
Сообщение от Аноним (22), 19-Июн-19, 14:38 
одного желания мало. надо хотя бы два.
Ответить | Правка | ^ к родителю #21 | Наверх | Cообщить модератору

25. "Выпуск пакетного менеджера Apt 1.9"  +/
Сообщение от Аноним (25), 19-Июн-19, 19:27 
Ловите: два желания.
Ответить | Правка | ^ к родителю #22 | Наверх | Cообщить модератору

28. "Выпуск пакетного менеджера Apt 1.9"  +/
Сообщение от Ганделярбы (?), 19-Июн-19, 21:06 
В Росе вааще всё щтабильно. Всегда!
Ответить | Правка | ^ к родителю #21 | Наверх | Cообщить модератору

Архив | Удалить

Рекомендовать для помещения в FAQ | Индекс форумов | Темы | Пред. тема | След. тема




Спонсоры:
Слёрм
Inferno Solutions
Hosting by Ihor
Хостинг:

Закладки на сайте
Проследить за страницей
Created 1996-2019 by Maxim Chirkov
Добавить, Поддержать, Вебмастеру